/*
 * Progress
 *
 * Index
 * - Progress
 * - Progress Bar
 * - Colors
 */

/**
 * @prop --border-radius: Border radius of the progress
 */

/* PROGRESS
 -------------------- */

.progress{
  --border-radius: 0.25rem;

  display: flex;
  height: 0.25rem;
  overflow: hidden;
  font-size: var(--road-label-small);
  background-color: var(--road-surface-disabled);
  border-radius: var(--border-radius);
}

.progress-light{
  background-color: var(--road-overlay-inverse);
}


.progress-element-info {
  display: flex;
  justify-content: space-between;
  margin-top: 0.5rem;
}

.progress-element-info-full-width {
  display: flex;
  justify-content: space-between;
  padding: 0 1rem;
  margin-top: 0.5rem;
}

.progress-element-label {
  font-size: var(--road-label-medium);
  text-align: left;
}

.progress-element-step {
  font-size: var(--road-label-medium);
  text-align: right;
}

/* PROGRESS BAR
 -------------------- */

.progress-bar {
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  text-align: center;
  white-space: nowrap;
  transition: width 0.6s ease;
}

/* COLORS
 -------------------- */

.progress.progress-primary .progress-bar {
  background: var(--road-primary);
}

.progress.progress-secondary .progress-bar {
  background: var(--road-secondary);
}

.progress.progress-info .progress-bar {
  background: var(--road-info-surface-inverse);
}

.progress.progress-success .progress-bar {
  background: var(--road-success-surface-inverse);
}

.progress.progress-warning .progress-bar {
  background: var(--road-warning-surface-inverse);
}

.progress.progress-danger .progress-bar {
  background: var(--road-danger-surface-inverse);
}

.progress.progress-rating .progress-bar {
  background: var(--road-rating);
}


/* ANIMATION
 -------------------- */

.animation .progress-bar{
  animation: load 5s normal forwards;
}

@keyframes load {

  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}
